--[[
###############
Inked: keivamp#
###############
]]--
local Inked = LibStub("AceAddon-3.0"):GetAddon("Inked")
local LSM = LibStub("LibSharedMedia-3.0")
local playerColor = RAID_CLASS_COLORS[select(2, UnitClass('player'))]
local InkedColors = {r = playerColor.r*1, g = playerColor.g*1,b = playerColor.b*1,a = 1}

local function CreateBackdrop(frame)
		frame:SetBackdrop({bgFile = "Interface\\Buttons\\WHITE8x8",
		edgeFile = "Interface\\Addons\\Inked\\Graphics\\Borders\\PsychoBorder",
		edgeSize = 8,
		insets = {top = 2, left = 4, bottom = 2, right = 3}})
		frame:SetBackdropColor(0,0,0,1)
		frame:SetBackdropBorderColor(0,0,0,1)
end

local GoldMover = CreateFrame("Frame","InkedGoldBarDrag",UIParent, BackdropTemplateMixin and "BackdropTemplate")
	GoldMover:SetSize(350,24)
	GoldMover:SetFrameLevel(98)
	GoldMover:SetClampedToScreen(true)
	GoldMover:SetClampRectInsets(0, 0, 0,0)
	
	local GoldMoverText  = GoldMover:CreateFontString(nil, "OVERLAY")
	GoldMoverText:SetFont("Interface\\Addons\\Inked\\Fonts\\Cooline.ttf", 16, "OUTLINE")
	GoldMoverText:SetPoint("CENTER",GoldMover,"CENTER", 0,0); 
	GoldMoverText:SetText("")
	
	local InkedGoldBar = CreateFrame("Frame", nil, UIParent, BackdropTemplateMixin and "BackdropTemplate")
	InkedGoldBar:SetAllPoints(GoldMover)
	
	local Goldframe = CreateFrame("Frame", nil, InkedGoldBar, BackdropTemplateMixin and "BackdropTemplate")
	Goldframe:SetAllPoints(InkedGoldBar)
	Goldframe:EnableMouse(true)
	
	Goldframe.bar = CreateFrame("StatusBar", nil, Goldframe, BackdropTemplateMixin and "BackdropTemplate")
	Goldframe.bar:SetPoint("TOPLEFT",2, -2)
	Goldframe.bar:SetFrameLevel(6)
	
	local GoldText = Goldframe.bar:CreateFontString(nil, "OVERLAY", "SystemFont_Med1")
			GoldText:SetPoint("LEFT", 2, 1)
			GoldText:SetJustifyH("CENTER")
			GoldText:SetJustifyV("CENTER")
			GoldText:SetText("Gold: ")

	local GoldCurrentText = Goldframe.bar:CreateFontString(nil, "OVERLAY", "SystemFont_Med1")
			GoldCurrentText:SetPoint("RIGHT", -2, 1)
			GoldCurrentText:SetJustifyH("LEFT")
			GoldCurrentText:SetJustifyV("CENTER")

	
			
			

local function UpdateMe()
	if(Inked.db.profile.lockframes == false) then
			local point, relativeTo, relativePoint, xOfs, yOfs = GoldMover:GetPoint(n)
			Inked.db.profile.GoldX = xOfs
			Inked.db.profile.GoldY = yOfs
			Inked.db.profile.GoldPoint = point
			GoldMoverText:SetText("Gold Bar")
		end	
			GoldMover:SetSize(Inked.db.profile.GoldWidth,Inked.db.profile.GoldHeight)
			
			
			GoldText:SetFont(LSM:Fetch("font", Inked.db.profile.Goldfont), Inked.db.profile.GoldFontSize, Inked.db.profile.GoldFontOutline)

			
			

end
			
	local InkedSettingsFrame = CreateFrame("Frame")	
	InkedSettingsFrame:HookScript("OnUpdate",UpdateMe)
	
local function CreateButtonTexture(frame)
	local ButtonForground = CreateFrame("Frame","Foreground",frame, BackdropTemplateMixin and "BackdropTemplate")
		  ButtonForground:SetAllPoints(frame)
		  ButtonForground:SetFrameLevel(4)
	local ButtonTexture = ButtonForground:CreateTexture(nil, "BACKGROUND")
		  ButtonTexture:SetAllPoints()
		  ButtonTexture:SetVertexColor(InkedColors.r,InkedColors.g,InkedColors.b,InkedColors.a)
		  ButtonTexture:SetTexture("Interface\\Addons\\Inked\\Graphics\\Buttons\\PsychoButton")

end
local function CreateMoverBackdrop(frame)
   frame:SetBackdrop({bgFile = "Interface\\Buttons\\WHITE8x8",
        insets = {top = -2, left = -2, bottom = -2, right = -2}})
		frame:SetBackdropColor(0,0.55,0.95,0.45)
		frame:SetBackdropBorderColor(0,0,0,1)
end


local function SetGoldBar()

		CreateBackdrop(Goldframe)

	if(Inked.db.profile.lockframes == false) then
			GoldMover:ClearAllPoints()
			if Inked.db.profile.GoldPoint == nil then
				GoldMover:SetPoint("TOP", UIParent,Inked.db.profile.GoldX,Inked.db.profile.GoldY)
			else
				GoldMover:SetPoint(Inked.db.profile.GoldPoint, UIParent,Inked.db.profile.GoldX,Inked.db.profile.GoldY)
			end
			CreateMoverBackdrop(GoldMover)
			GoldMover:SetMovable(true)
			GoldMover:EnableMouse(true)
			GoldMover:RegisterForDrag("LeftButton")
			GoldMover:SetScript("OnDragStart", GoldMover.StartMoving)
			GoldMover:SetScript("OnDragStop", GoldMover.StopMovingOrSizing)
			GoldMover:SetUserPlaced(true)
		elseif Inked.db.profile.GoldPoint == nil then
				GoldMover:SetPoint("TOP", UIParent,Inked.db.profile.GoldX,Inked.db.profile.GoldY)
			else
				GoldMover:SetPoint(Inked.db.profile.GoldPoint, UIParent,Inked.db.profile.GoldX,Inked.db.profile.GoldY)
		end
end


local function walkingFun()
local inVehicle = UnitInVehicle("player")
	if(inVehicle == false) then
		--InkedREPBar:Show()
		--print("walking")
	end
end
local function ridingFun()
local inVehicle = UnitInVehicle("player")
	if(inVehicle == true) then
		--InkedREPBar:Hide()
	end
end
local function StartBattlePetsFun()
local inBattle = C_PetBattles.IsInBattle()
	if(inBattle == true) then	
		--InkedREPBar:Hide()
	end
end
local function EndBattlePetsFun()
local inBattle = C_PetBattles.IsInBattle()
--print(inBattle)
	if(inBattle == false) then
		--InkedREPBar:Show()		
	end
end
local InkedLoginFrame=CreateFrame("Frame")
		InkedLoginFrame:RegisterEvent("PLAYER_LOGIN")
		InkedLoginFrame:RegisterEvent("UPDATE_INVENTORY_Gold")
		InkedLoginFrame:RegisterEvent("MERCHANT_SHOW")
		InkedLoginFrame:RegisterEvent("PLAYER_ENTERING_WORLD")
		InkedLoginFrame:SetScript("OnEvent", function(self, event) 
		if Inked.db.profile.UseActionBars == false then return end
		if Inked.db.profile.GoldEnable == false then return end
			SetGoldBar()
			StartBattlePetsFun()
			EndBattlePetsFun()
			ridingFun()
			walkingFun()												
		end)
		
